import { DMMF } from '@prisma/client/runtime/dmmf-types';
/**
 * Generates input types for the `seed` function.
 *
 * @param dmmf
 */
export declare function generateGeneratedSeedModelsType(dmmf: DMMF.Document): string;
/**
 * Determines whether a field scalar type is supported by default or not.
 * @param field
 */
export declare function isSupportedScalar(field: DMMF.Field): boolean;
/**
 * Determines whether a field is a scalar.
 * @param field
 */
export declare function isScalar(field: DMMF.Field): boolean;
