import { DMMF } from '@prisma/client/runtime';
import { SeedModels, SeedFunction, PrismaClientType } from './types';
/**
 * Creates a function which can be used to seed mock data to database.
 *
 * @param dmmf
 */
export declare function getSeed<GeneratedPrismaClientType extends PrismaClientType, GeneratedSeedModels extends SeedModels>(dmmf: DMMF.Document): SeedFunction<GeneratedPrismaClientType, GeneratedSeedModels>;
