"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const os = __importStar(require("os"));
const path = __importStar(require("path"));
/**
 * Migrates the datamodel to the database.
 *
 * @param LiftOptions
 */
function migrateLift({ id, projectDir, datasources, tmpPrismaSchemaPath, dmmf, }) {
    return __awaiter(this, void 0, void 0, function* () {
        return { id, datamodel: '' };
        // /* Create datamodel. */
        // const datamodelDmmf = {
        //   enums: [],
        //   models: [],
        //   ...dmmf.datamodel,
        // }
        // const datamodel = await dmmfToDml({
        //   dmmf: datamodelDmmf,
        //   config: { datasources, generators: [] },
        // })
        // fs.writeFileSync(tmpPrismaSchemaPath, datamodel)
        // /* Init Lift. */
        // const lift = new LiftEngine({ projectDir, schemaPath: tmpPrismaSchemaPath })
        // /* Get migration. */
        // const { datamodelSteps, errors: stepErrors } = await lift.inferMigrationSteps(
        //   {
        //     migrationId: id,
        //     datamodel: datamodel,
        //     assumeToBeApplied: [],
        //     sourceConfig: datamodel,
        //   },
        // )
        // /* istanbul ignore next */
        // if (stepErrors.length > 0) {
        //   throw stepErrors
        // }
        // const { errors } = await lift.applyMigration({
        //   force: true,
        //   migrationId: id,
        //   steps: datamodelSteps,
        //   sourceConfig: datamodel,
        // })
        // /* istanbul ignore next */
        // if (errors.length > 0) {
        //   throw errors
        // }
        // const progress = () =>
        //   lift.migrationProgess({
        //     migrationId: id,
        //     sourceConfig: datamodel,
        //   })
        // while ((await progress()).status !== 'MigrationSuccess') {
        //   /* Just wait */
        // }
        // lift.stop()
        // return { id, datamodel }
    });
}
exports.migrateLift = migrateLift;
/**
 * Allocates a new space in the tmp dir for the db instance.
 *
 * @param id
 */
function getTmpPrismaSchemaPath(id) {
    const tmpDir = os.tmpdir();
    const dbFile = path.join(tmpDir, `./${id}-schema.prisma`);
    return dbFile;
}
exports.getTmpPrismaSchemaPath = getTmpPrismaSchemaPath;
//# sourceMappingURL=lift.js.map